Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.net.http
Class HttpsClient

    java.lang.Object
      |
      +--weblogic.net.http.HttpClient
            |
            +--weblogic.net.http.HttpsClient

public class HttpsClient
extends HttpClient

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `SSLProxyHost`
`static int` | `SSLProxyPort`

Fields inherited from class weblogic.net.http.HttpClient
`host, kac, kas, numReq, port, proxyHost, proxyPort, serverInput, serverOutput, serverSocket, url, usingProxy`

Constructor Summary
`HttpsClient(java.net.URL u)`

Method Summary
`protected int` | `getDefaultPort()` overridden
`protected java.lang.String` | `getProtocol()`
`java.lang.String` | `getURLFile()` Change suggested by a customer: (issue # 9900) ---------------------------------------------- In class weblogic.net.http.HttpURLConnection, the method doSetRequests() calls getURLFile() on its internal http object.
`protected void` | `openServer()`
`protected void` | `openServer(java.lang.String server, int port)` overridden
`static void` | `resetSSLProperties()`

Methods inherited from class weblogic.net.http.HttpClient
`closeServer, finished, getInputStream, getOutputStream, isKeepingAlive, New, parseHTTP, resetProperties, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SSLProxyHost

    public static java.lang.String SSLProxyHost

### SSLProxyPort

    public static int SSLProxyPort

Constructor Detail

### HttpsClient

    public HttpsClient(java.net.URL u)
                throws java.io.IOException

Method Detail

### resetSSLProperties

    public static void resetSSLProperties()

### getDefaultPort

    protected int getDefaultPort()

  overridden

  Overrides:
    getDefaultPort in class HttpClient

### openServer

    protected void openServer(java.lang.String server,
                              int port)
                       throws java.io.IOException

  overridden

  Overrides:
    openServer in class HttpClient

### getProtocol

    protected java.lang.String getProtocol()

  Overrides:
    getProtocol in class HttpClient

### openServer

    protected void openServer()
                       throws java.io.IOException

  Overrides:
    openServer in class HttpClient

### getURLFile

    public java.lang.String getURLFile()

  Change suggested by a customer: (issue # 9900) ---------------------------------------------- In class weblogic.net.http.HttpURLConnection, the method doSetRequests() calls getURLFile() on its internal http object. For an SSL connnection, this class is an instance of weblogic.net.http.HttpsClient. The getURLFile method is not overridden in HttpsClient so it uses the implementation in weblogic.net.http.HttpClient. In HttpClient, the getURLFile method tests whether the connection is proxied and if so it inserts the host name of the target. This is INCORRECT for SSL connections since the proxy will not remove the host name (it cannot read the stream since it is encrypted). The target server will not accept the hostname string in the HTTP request.

  Overrides:
    getURLFile in class HttpClient

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD